Currencies
Keywords: net.corda.finance.Currencies class
Date: 2023-09-18

net.corda.finance

## Class Currencies

- net.corda.finance.Currencies

-     public class Currencies

- - ### Field Detail

    - #### USD

          @JvmField
           @NotNull
          public static java.util.Currency USD

    - #### GBP

          @JvmField
           @NotNull
          public static java.util.Currency GBP

    - #### EUR

          @JvmField
           @NotNull
          public static java.util.Currency EUR

    - #### CHF

          @JvmField
           @NotNull
          public static java.util.Currency CHF

    - #### JPY

          @JvmField
           @NotNull
          public static java.util.Currency JPY

    - #### RUB

          @JvmField
           @NotNull
          public static java.util.Currency RUB

  - ### Constructor Detail

    - #### Currencies

          public Currencies()

  - ### Method Detail

    - #### AMOUNT

          @NotNull
          public static <T> Amount<T> AMOUNT(int amount,
                                                      @NotNull
                                                      T token)

    - #### AMOUNT

          @NotNull
          public static <T> Amount<T> AMOUNT(long amount,
                                                      @NotNull
                                                      T token)

    - #### AMOUNT

          @NotNull
          public static <T> Amount<T> AMOUNT(double amount,
                                                      @NotNull
                                                      T token)

    - #### DOLLARS

          @NotNull
          public static Amount<java.util.Currency> DOLLARS(int amount)

    - #### DOLLARS

          @NotNull
          public static Amount<java.util.Currency> DOLLARS(long amount)

    - #### DOLLARS

          @NotNull
          public static Amount<java.util.Currency> DOLLARS(double amount)

    - #### POUNDS

          @NotNull
          public static Amount<java.util.Currency> POUNDS(int amount)

    - #### POUNDS

          @NotNull
          public static Amount<java.util.Currency> POUNDS(long amount)

    - #### POUNDS

          @NotNull
          public static Amount<java.util.Currency> POUNDS(double amount)

    - #### SWISS_FRANCS

          @NotNull
          public static Amount<java.util.Currency> SWISS_FRANCS(int amount)

    - #### SWISS_FRANCS

          @NotNull
          public static Amount<java.util.Currency> SWISS_FRANCS(long amount)

    - #### SWISS_FRANCS

          @NotNull
          public static Amount<java.util.Currency> SWISS_FRANCS(double amount)

    - #### getDOLLARS

          @NotNull
          public static Amount<java.util.Currency> getDOLLARS(int $this$DOLLARS)

    - #### getDOLLARS

          @NotNull
          public static Amount<java.util.Currency> getDOLLARS(long $this$DOLLARS)

    - #### getDOLLARS

          @NotNull
          public static Amount<java.util.Currency> getDOLLARS(double $this$DOLLARS)

    - #### getPOUNDS

          @NotNull
          public static Amount<java.util.Currency> getPOUNDS(int $this$POUNDS)

    - #### getPOUNDS

          @NotNull
          public static Amount<java.util.Currency> getPOUNDS(long $this$POUNDS)

    - #### getPOUNDS

          @NotNull
          public static Amount<java.util.Currency> getPOUNDS(double $this$POUNDS)

    - #### getSWISS_FRANCS

          @NotNull
          public static Amount<java.util.Currency> getSWISS_FRANCS(int $this$SWISS_FRANCS)

    - #### getSWISS_FRANCS

          @NotNull
          public static Amount<java.util.Currency> getSWISS_FRANCS(long $this$SWISS_FRANCS)

    - #### getSWISS_FRANCS

          @NotNull
          public static Amount<java.util.Currency> getSWISS_FRANCS(double $this$SWISS_FRANCS)

    - #### issued by

          @NotNull
          public static Issued<java.util.Currency> issued by(@NotNull
                                                                      java.util.Currency $this$issued_u20by,
                                                                      @NotNull
                                                                      PartyAndReference deposit)

    - #### issued by

          @NotNull
          public static Amount<net.corda.core.contracts.Issued> issued by(@NotNull
                                                                                   Amount<java.util.Currency> $this$issued_u20by,
                                                                                   @NotNull
                                                                                   PartyAndReference deposit)

    - #### issuedBy

          @NotNull
          public static Issued<java.util.Currency> issuedBy(@NotNull
                                                                     java.util.Currency $this$issuedBy,
                                                                     @NotNull
                                                                     PartyAndReference deposit)

    - #### issuedBy

          @NotNull
          public static Amount<net.corda.core.contracts.Issued> issuedBy(@NotNull
                                                                                  Amount<java.util.Currency> $this$issuedBy,
                                                                                  @NotNull
                                                                                  PartyAndReference deposit)